﻿Type=Activity
Version=2.7
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim ListView1 As ListView
	Type AppMenuePunktTyp (Bild,Titel,Beschreibung,AppSystemName,Lautstaerke As String)
	Dim MenuePunkte As List
	Dim PfadPrgData As String
    Dim AnzMenuePunkte As Int	
	Dim PfadEinstellungen As String
	
	
End Sub

Sub Activity_Create(FirstTime As Boolean)

    Dim Ini As CIniFile 
	Dim i As Int
	Dim IniName As String  
	Dim Section As String
    Dim pm As PackageManager
	Dim Icons As BitmapDrawable
	
	
	PfadPrgData =File.DirAssets

	PfadEinstellungen = PfadPrgData 
	IniName = "appstart.ini"
	
    AnzMenuePunkte=Utils.GetAnzMenueEintraege (PfadEinstellungen,IniName,Ini)
	If AnzMenuePunkte >= 1  Then

	
		Activity.LoadLayout("launchmenue")
		Activity.Title="Choose an App"

	    ListView1.Top =0
		ListView1.Left =0
		
		ListView1.TwoLinesAndBitmap.ItemHeight=96dip
		ListView1.TwoLinesAndBitmap.ImageView.Height =  ListView1.TwoLinesAndBitmap.ItemHeight*0.98
		ListView1.TwoLinesAndBitmap.ImageView.Width= (ListView1.TwoLinesAndBitmap.ItemHeight*9)/9
		ListView1.TwoLinesAndBitmap.ImageView.Gravity=Gravity.CENTER
		ListView1.TwoLinesAndBitmap.Label.TextSize=30
		ListView1.TwoLinesAndBitmap.SecondLabel.TextSize=25
		ListView1.TwoLinesAndBitmap.Label.Left = ListView1.TwoLinesAndBitmap.ImageView.Width*1.20
		ListView1.TwoLinesAndBitmap.SecondLabel.Left  = ListView1.TwoLinesAndBitmap.ImageView.Width*1.20
		ListView1.TwoLinesAndBitmap.Label.Height =50dip
		ListView1.TwoLinesAndBitmap.Label.Top = 5dip
		ListView1.TwoLinesAndBitmap.SecondLabel.Height = 50dip
		ListView1.TwoLinesAndBitmap.SecondLabel.Top = 60dip	
			
	Else 
	  Msgbox("Keine Menueeintraege " & PfadEinstellungen &"/"& IniName,"Fehler") 
	End If    


    MenuePunkte.Initialize
    For i = 0 To AnzMenuePunkte-1
		Try 
		    Section="Menue"&(i+1)

            Dim Menuepunkt As AppMenuePunktTyp
		   
		    Menuepunkt.Initialize
		    Menuepunkt.Bild  =  Ini.Get(Section, "Bild", "") 
		    Menuepunkt.Titel =  Ini.Get(Section, "Titel", "")
		    Menuepunkt.Beschreibung  = Ini.Get(Section, "Beschreibung", "")
		    Menuepunkt.AppSystemName = Ini.Get(Section, "AppSystemName", "")
			Menuepunkt.Lautstaerke = Ini.Get(Section, "Lautstaerke", "0")

			
		    Log (Section)
		    If Menuepunkt.Bild <> "" Then
		    	MenuePunkte.add(Menuepunkt)
		        'ListView1.AddTwoLinesAndBitmap(Menuepunkt.Titel,Menuepunkt.Beschreibung,LoadBitmap(PfadPrgData,"/"&Menuepunkt.Bild))	
				
                Icons= pm.GetApplicationIcon(Menuepunkt.AppSystemName)
				ListView1.AddTwoLinesAndBitmap(Menuepunkt.Titel,Menuepunkt.Beschreibung,Icons.Bitmap)
				
	       	Else 
		    	Exit
		   	End If
		Catch
  	  		Msgbox("Problem Menuepunkt erstellen "&IniName&" " &Section& CRLF &Menuepunkt.Bild,"Fehler")
		End Try
    Next


    Log ("AppZwStartActivity")
		
		
	
	 
	
End Sub

Sub Activity_Resume
 	Utils.DeleteTmpSettings(PfadEinstellungen)
 
  
End Sub

Sub Activity_Pause (UserClosed As Boolean)
  Log ("AppZwPause")
End Sub


Sub ListView1_ItemClick (Position As Int, Value As Object)
   
   Dim Intent1 As Intent
   Dim pm As PackageManager
   
   If Position < MenuePunkte.Size Then
   
     Dim Settings As List
	 Settings.Initialize
	 Settings.Add("Lautstaerke=50")
	 Utils.WriteTmpSettings(File.DirInternal, Settings )
   
     Dim Menuepunkt As AppMenuePunktTyp
     Menuepunkt= MenuePunkte.Get(Position)
	 Intent1=pm.GetApplicationIntent(Menuepunkt.AppSystemName) 
     If Intent1.IsInitialized Then StartActivity(Intent1)
     	 
   End If
End Sub


Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
    
    If KeyCode = KeyCodes.KEYCODE_VOLUME_UP Then 
'        Log("Up")
                
        Return True
    End If
    If KeyCode = KeyCodes.KEYCODE_VOLUME_DOWN Then 
'        Log("Down")
                
        Return True
    End If
	
	Return False
	
End Sub



'Sub Activity_KeyPress (KeyCode As Int) As Boolean 
'	If KeyCode = KeyCodes.KEYCODE_BACK Then  
'	  StartActivity(Main)
'	End If
'	Return False
'End Sub




