﻿Type=Activity
Version=2.7
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
    Dim ph As Phone 
	Dim BT As BluetoothAdmin
	'Dim awake As PhoneWakeState
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
    BT.Initialize("BT")

End Sub

Sub Activity_Resume
	Log("Transparent resume ")  
	
		
	SetBrightness (KioskService.ForcedSettings.Brightness)
	WriteSetting("airplane_mode_on",KioskService.ForcedSettings.AirPlaneModeOn)
	WriteSetting("bluetooth_on",KioskService.ForcedSettings.BluetoothOn)
	If KioskService.ForcedSettings.BluetoothOn = 0 Then
	  BT.Disable
	Else
	  BT.Enable	
	End If
	
	WriteSetting("auto_time",KioskService.ForcedSettings.AutoTime) 
	WriteSetting("install_non_market_apps",KioskService.ForcedSettings.InstallNonMarketApps)
	WriteSetting("adb_enabled",KioskService.ForcedSettings.AdbEnabled)	
	

	'WriteSetting("screen_off_timeout",30)
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub WriteSetting(Setting As String, Value As Int)
    Dim r1 As Reflector
    Dim args(3) As Object
    Dim types(3) As String

    r1.Target = r1.GetContext
    
    args(0) = r1.RunMethod("getContentResolver")
    types(0) = "android.content.ContentResolver"
    args(1) = Setting
    types(1) = "java.lang.String"
    args(2) = Value
    types(2) = "java.lang.int"
    r1.RunStaticMethod("android.provider.Settings$System", "putInt", args, types) 
End Sub

Sub ForceSettings
	Log("ForceSettings Start") 
	Activity.Finish	
End Sub

Sub SetBrightness (value As Int)
    If value < 0 Then
	    WriteSetting("screen_brightness_mode", 1) 
		'WriteSetting("screen_brightness", -1)
	    ph.SetScreenBrightness(-1)
	Else
		If value <=255 Then
		    WriteSetting("screen_brightness_mode", 0) 
			WriteSetting("screen_brightness", value)
		    ph.SetScreenBrightness(value/255)
		End If 	
	End If
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
    
    If KeyCode = KeyCodes.KEYCODE_VOLUME_UP Then 
'        Log("Up")
                
        Return True
    End If
    If KeyCode = KeyCodes.KEYCODE_VOLUME_DOWN Then 
'        Log("Down")
                
        Return True
    End If
	Return False
	
End Sub




'Sub Aufwecken
'	Log("Aufwecken Start") 
'	'awake.ReleaseKeepAlive
'	awake.KeepAlive(True)
'	
'	Log("Aufwecken after keepalive")
'	
'	If CheckLock Then	' without this check it is still OK
'	    DoEvents
'		SetShowWhenLocked
'		Log("Aufwecken unlock screen")
'	End If
'	
'    CallSubDelayed("Main","ReturnFromSleep")
'
'	Activity.Finish
'	
'End Sub
'
'Sub CheckLock As Boolean
'
'	Dim r As Reflector
'	r.Target = r.GetContext
'	r.Target = r.RunMethod2("getSystemService", "keyguard", "java.lang.String")
'	Return  r.RunMethod("inKeyguardRestrictedInputMode")
'	
'End Sub
'
'Sub SetShowWhenLocked
'	' Don't put it in service module!
'
'    Dim r As Reflector
'    r.Target = r.GetActivity
'    r.Target = r.RunMethod("getWindow")
'    r.RunMethod2("addFlags", 6815872, "java.lang.int")
'	Log("SetShowWhenLocked")
'	
'	' This make the activity_resume execute???
'		
'	' to release:
'	'r.RunMethod2("clearFlags", 0, "java.lang.int")
'	
'End Sub
'
'
'